# Interface methods for submodule: InterpolateImageFunction
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageFunctionProxy as _ImageFunctionProxy


# Interface methods for class: InterpolateImageFunction
class InterpolateImageFunctionProxy(_ImageFunctionProxy):
	def GetNameOfClass(self):
		""""""
		...

	@overload
	def Evaluate(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def Evaluate(self, point: Sequence[float]) -> float:
		""""""
		...

	@overload
	def Evaluate(self, point: Sequence[float]) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def Evaluate(self, point: Sequence[float]) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def EvaluateAtContinuousIndex(self, index) -> Sequence[float]:
		""""""
		...

	@overload
	def EvaluateAtContinuousIndex(self, index) -> float:
		""""""
		...

	@overload
	def EvaluateAtContinuousIndex(self, index) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def EvaluateAtContinuousIndex(self, index) -> Tuple[int, int, int]:
		""""""
		...

	@overload
	def EvaluateAtIndex(self, index: Sequence[int]) -> Sequence[float]:
		""""""
		...

	@overload
	def EvaluateAtIndex(self, index: Sequence[int]) -> float:
		""""""
		...

	@overload
	def EvaluateAtIndex(self, index: Sequence[int]) -> Tuple[int, int, int, int]:
		""""""
		...

	@overload
	def EvaluateAtIndex(self, index: Sequence[int]) -> Tuple[int, int, int]:
		""""""
		...

	def GetRadius(self) -> Sequence[int]:
		""""""
		...

